gnutls_range_split(3)

NAME
gnutls_range_split - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_range_split(gnutls_session_t session, const gnutls_range_st * orig, gnutls_range_st * next, gnutls_range_st * remainder);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure

const gnutls_range_st * orig
    is the original range provided by the user

gnutls_range_st * next
    is the returned range that can be conveyed in a TLS record

gnutls_range_st * remainder
    is the returned remaining range

DESCRIPTION
This function should be used when it is required to hide the length of very long data that cannot be directly provided to gnutls_record_send_range(). In that case this function should be called with the desired length hiding range in orig . The returned next value should then be used in the next call to gnutls_record_send_range() with the partial data. That process should be repeated until remainder is (0,0).

RETURNS
0 in case splitting succeeds, non zero in case of error. Note that orig is not changed, while the values of next and remainder are modified to store the resulting values.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/